Brand Visibility Over Time
curl --request GET \
--url https://server.promptwatch.com/api/v1/analytics/brands/visibility-over-time \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v1/analytics/brands/visibility-over-time"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v1/analytics/brands/visibility-over-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"date": "<string>",
"brand": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"relation": "DIRECT_COMPETITOR"
},
"averageVisibility": 123,
"mentionCount": 123,
"totalResponses": 123,
"visibilityPercentage": 123
}
]{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Analytics
Brand Visibility Over Time
Get brand visibility over time
GET
/
analytics
/
brands
/
visibility-over-time
Brand Visibility Over Time
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Available options:
daily, weekly, monthly Filter by specific LLM model
Filter by prompt type
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Required range:
x >= 1Required range:
x >= 0Available options:
DIRECT_COMPETITOR, SELF, IGNORED, OTHER